package com.yeejoin.amos.boot.module.jxiop.biz.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yeejoin.amos.boot.module.jxiop.biz.dto.SjglZsjZsbtzDto;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.SjglZsjZsbtz;
import com.yeejoin.amos.boot.module.jxiop.biz.mapper2.SjglZsjZsbtzMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 设备基本信息 服务实现类
 *
 * @author system_generator
 * @date 2023-07-03
 */
@Service
public class SjglZsjZsbtzServiceImpl   {
    /**
     * 分页查询
     */

    @Autowired
    SjglZsjZsbtzMapper sjglZsjZsbtzMapper;

    /**
     * @deprecated 根据设备类型及场站编号获取基础设备信息
     * @param MACHGENRE 设备类型
     * @param WERKS 场站编号
     * @return 基础设别列表
     */
    public List<SjglZsjZsbtz> getSjglZsjZsbtzList(Long MACHGENRE,String WERKS){
        List<SjglZsjZsbtz> sjglZsjZsbtzList =  new ArrayList<>();
        sjglZsjZsbtzList = sjglZsjZsbtzMapper.selectList(new QueryWrapper<SjglZsjZsbtz>().eq("MACHGENRE",MACHGENRE).eq("WERKS",WERKS));
        return sjglZsjZsbtzList;
    }
    /**
     * @deprecated 根据场站编号获取基础设备信息
     * @param WERKS 场站编号
     * @return 基础设别列表
     */
    public List<SjglZsjZsbtz> getSjglZsjZsbtzListByWerks(String WERKS){
        List<SjglZsjZsbtz> sjglZsjZsbtzList =  new ArrayList<>();
        sjglZsjZsbtzList = sjglZsjZsbtzMapper.selectList(new QueryWrapper<SjglZsjZsbtz>().eq("WERKS",WERKS));
        return sjglZsjZsbtzList;
    }
    /**
     * @deprecated 根据场站编号获取基础设备信息
     * @param WERKS 场站编号
     * @return 基础设别列表
     */
    public List<SjglZsjZsbtz> getSjglZsjZsbtzList(){
        List<SjglZsjZsbtz> sjglZsjZsbtzList =  new ArrayList<>();
        sjglZsjZsbtzList = sjglZsjZsbtzMapper.selectList(new QueryWrapper<SjglZsjZsbtz>().isNotNull("DBID"));
        return sjglZsjZsbtzList;
    }
   public Double getStationCapactityByStationWerks(String WERKS){
        return  sjglZsjZsbtzMapper.getStationCapactityByStationWerks(WERKS);
   }
}